# Sub Merchant Address Object

| No | Name              | Type       | Mandatory | Min Length | Max Length | Description                                      |
| -- | ----------------- | ---------- | --------- | ---------- | ---------- | ------------------------------------------------ |
| 1  | city              | String     | O         | 1          | 100        | City on Address Submerchant Order                |
| 2  | company           | String     | O         | 1          | 100        | Company on Address Submerchant Order             |
| 3  | country           | String     | O         |            |            | Country on Address Submerchant Order             |
| 4  | postcodeZip       | Alpha Dash | O         | 1          | 10         | Postcode Zip on Address Submerchant Order        |
| 5  | stateProvince     | String     | O         | 1          | 20         | State Province on Address Submerchant Order      |
| 6  | stateProvinceCode | String     | O         | 1          | 3          | State Province Code on Address Submerchant Order |
| 7  | street            | String     | O         | 1          | 100        | Street on Address Submerchant Order              |
| 8  | street2           | String     | O         | 1          | 100        | Secondary Street on Address Submerchant Order    |

```
"order": {

}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.finpay.id/api-reference/appendix/json-object/sub-merchant-address-object.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
